chrgpump.sp: charge conservation test for charge pump circuit
*test circuit of a mosfet capacitor and a linear capacitor
.options  acct list nomod  $ method=gear
+ reltol=1e-3 abstol=1e-6 chgtol=1e-14  $ delmax=0.1ns
*.param capop=2
.op
*.tran 2ns 470ns  sweep capop poi 2  2,9
.tran 2ns 470ns
.ic v(s)=1
*
vin g 0  pulse 0 5 15ns 5ns 5ns 50ns 100ns
vbb 0 b  pulse 0 5 0ns 5ns 5ns 50ns 100ns
vdd d d- pulse 0 5 25ns 5ns 5ns 50ns 100ns
*
*rc  d-  s 10k
rc  d-  s 100k
c2  s   0 10p
m1  d   g  s  b   mm w=3.5u l=5.5u
**+ad=100p as=100p pd=50u ps=50u nrd=1 nrs=1
*
.model mm nmos  level=3 vto=0.7 kp=50e-6 gamma=0.96
+phi=0.5763 tox=50e-9 nsub=1.0e16 ld=0.5e-6
+vmax=268139 theta=0.05 eta=1 kappa=0.5
*+vmax=268139 theta=0.05 eta=1 kappa=0.5 cj=1e-4
*+cjsw=0.05e-9 rsh=20 js=1e-8 pb=0.7
*+cgd=0 cgs=0 is=0 js=0
*+capop=capop
*
.options post ingold=2
*.graph tran  vout=v(s)
*.graph tran  vd=v(d) vg=v(g) vb=v(b)
*.print tran  v(s) v(d) v(g) v(b)
.print tran  v(d) v(g) v(b)
.end
