/**********
Copyright 1990 Regents of the University of California.  All rights reserved.
Author: 1985 Thomas L. Quarles
**********/
/*
 */

#include "spice.h"
#include <stdio.h>
#include "util.h"
#include "opampdefs.h"
#include "sperror.h"
#include "suffix.h"


int
OPAMPdelete(inModel,name,inst)
    GENmodel *inModel;
    IFuid name;
    GENinstance **inst;
{
    OPAMPmodel *model = (OPAMPmodel *)inModel;
    OPAMPinstance **fast = (OPAMPinstance**)inst;
    OPAMPinstance **prev = NULL;
    OPAMPinstance *here;

    for( ; model ; model = model->OPAMPnextModel) {
        prev = &(model->OPAMPinstances);
        for(here = *prev; here ; here = *prev) {
            if(here->OPAMPname == name || (fast && here==*fast) ) {
                *prev= here->OPAMPnextInstance;
                FREE(here);
                return(OK);
            }
            prev = &(here->OPAMPnextInstance);
        }
    }
    return(E_NODEV);
}
